Name:           monsterz
Version:        0.7.0
Release:        7%{?dist}
Summary:        Puzzle game, similar to Bejeweled or Zookeeper

Group:          Amusements/Games
License:        WTFPL
URL:            http://sam.zoy.org/%{name}/
Source0:        http://sam.zoy.org/%{name}/%{name}-%{version}.tar.gz
Source1:        monsterz.png
Source2:        monsterz.desktop
Source3:        monsterz.score
Patch0:         monsterz-0.7.0-userpmopts.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  desktop-file-utils
Requires:       pygame
Requires:       monsterz-data

%description
Monsterz is a little arcade puzzle game, similar to the famous Bejeweled or
Zookeeper. The goal of the game is to create rows of similar monsters, either
horizontally or vertically. The only allowed move is the swap of two adjacent
monsters, on the condition that it creates a row of three or more. When
alignments are cleared, pieces fall from the top of the screen to fill the
board again. Chain reactions earn you even more points.


%package data
Summary:        Data files for the game monsterz
Group:          Amusements/Games

%description data
Data files for the game monsterz


%prep
%setup -q
%patch0 -p1


%build
make %{?_smp_mflags} prefix=%{_usr} datadir=%{_datadir} pkgdatadir=%{_datadir}/%{name} CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf %{buildroot}
#Bypass make install as it requires root priviledges and the SRPM
#may not necessarily be built as root
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/%{name}/graphics
mkdir -p %{buildroot}%{_datadir}/%{name}/sound
mkdir -p %{buildroot}%{_var}/games
install -pm0755 %{name} %{buildroot}%{_bindir}
install -pm0755 %{name}.py %{buildroot}%{_datadir}/%{name}
cp -a graphics/*.png %{buildroot}%{_datadir}/%{name}/graphics
cp -a sound/* %{buildroot}%{_datadir}/%{name}/sound

install -pm0664 %{SOURCE3} %{buildroot}%{_var}/games/%{name}

desktop-file-install --vendor fedora \
                     --add-category X-Fedora \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{SOURCE2}

install -pm0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%attr(2755,root,games) %{_bindir}/%{name}
%attr(-,root,games) %config(noreplace) %{_var}/games/%{name}
%doc AUTHORS COPYING README TODO


%files data
%defattr(-,root,root,-)
%{_datadir}/%{name}


%changelog
* Mon Aug 28 2006 Ian Chapman <packages@amiga-hardware.com> 0.7.0-7%{?dist}
- Release bump for FC6 mass rebuild

* Tue Jul 25 2006 Ian Chapman <packages@amiga-hardware.com> 0.7.0-6%{?dist}
- Split data into a separate package.

* Sun Jul 23 2006 Ian Chapman <packages@amiga-hardware.com> 0.7.0-5%{?dist}
- Moved .desktop external to spec
- Moved score file external to spec
- License changed to WTFPL
- Use %%{_datadir}/%%{name} not %%{_datadir}/games/%%{name}

* Sun Jul 09 2006 Ian Chapman <packages@amiga-hardware.com> 0.7.0-4%{?dist}
- Moved icon installation to make it freedesktop compliant
- Added %%post and %%postun sections to update icon cache at installation
- Move hiscore table and .desktop generation to %%build

* Sat Jun 24 2006 Ian Chapman <packages@amiga-hardware.com> 0.7.0-3%{?dist}
- Cosmetic fixes for the Dribble repository

* Mon May 29 2006 Ian Chapman <packages@amiga-hardware.com> 0.7.0-2%{?dist}
- Replace %%{__rm} in clean section with rm
- Added patch to compile using rpmoptflags

* Mon May 22 2006 Ian Chapman <packages@amiga-hardware.com> 0.7.0-1.iss
- Initial Release
